<template>
  <div class="card_header">
    <div class="card_header-point"></div>
    <slot></slot>
  </div>
</template>

<script>
export default {
  name: "header",
  props: {
    pointer: {
      type: Boolean,
      default: true
    }
  }
}
</script>

<style lang="scss" scoped>
@import '~/assets/styles/colorVariables';
.card_header {
  display: flex;
  align-items: center;
  padding: 0px 24px;
  height: 62px;
  line-height: 62px;
  font-size: 18px;
  font-weight: 700;
  /deep/ {
    h1 {
      text-transform: uppercase;
    }
  }
  &-point {
    background-color: $teal;
    width: 10px;
    height: 10px;
    border-radius: 50%;
    color: #151e2e;
    font-size: .875rem;
    margin-right: 13px;
  }
}
</style>
